Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui
Class AboutFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          ix.iface.util.ToolFrame
                              ix.iface.ui.AboutFrame

All Implemented Interfaces:
  AgentNameListener, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class AboutFrame

extends ToolFrame
implements java.awt.event.ActionListener

A frame with a menu bar to close it, and a scrollable, enabled, but non-editable text area. Example for using DomainEditor:

       ...
       protected AboutFrame aboutFrame;
       ...
        if (aboutFrame == null) {
          String[] message = {"About " + getTitle(),
                              IVUtil.ideReleaseToString()};
          aboutFrame = new AboutFrame(message);
        }
        aboutFrame.setVisible(true);
       ...

or use the following combination:

       protected AboutFrame aboutFrame = new AboutFrame();
       ...
       aboutFrame.displayText(message);
       ...

the displayText methods will add the IX-version and date, the setText methods just set the given text.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class ix.iface.util.ToolFrame
`toolFrames`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AboutFrame()` Puts up a frame with a menu bar and a scrollable text area that can display HTML (including images), follow links when clicked, and select text, but NOT edit.
`AboutFrame(javax.swing.ImageIcon icon, java.lang.String initText)` As above but the given URL is displayed and remembered as the original page.
`AboutFrame(java.lang.String initText)` As above but the given file name is converted to a URL using the text area of the resources.
`AboutFrame(java.lang.String[] initText)` As above but the given file name is converted to a URL using the text area of the resources.
`AboutFrame(java.lang.String title, java.lang.String initText)` As above but the given file name is converted to a URL using the text area of the resources.
`AboutFrame(java.lang.String title, java.lang.String[] initText)` As above but the given file name is converted to a URL using the text area of the resources.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)`
`void` | `displayIconText(javax.swing.ImageIcon icon, java.lang.String starter)` Displays the given URL in the text area.
`void` | `displayText(java.lang.String starter)` Sets the given text into the first line, then appends IX and Java versions in seperate lines.
`void` | `displayText(java.lang.String[] starter)` As above, but puts each array element into its own line.
`void` | `setText(java.lang.String text)` Use this to set the whole text to the given one.
`void` | `setText(java.lang.String[] textList)` As above, but puts each array element into its own line.
`void` | `setText(java.lang.String starter, java.lang.String[] textList)` As above, but puts starter at the start, then each array element into its own line.

Methods inherited from class ix.iface.util.ToolFrame
`setVisible, symbolNameChanged, walkToolFrames`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationByPlatform, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Constructor Detail

### AboutFrame

    public AboutFrame()

  Puts up a frame with a menu bar and a scrollable text area that can display HTML (including images), follow links when clicked, and select text, but NOT edit.

### AboutFrame

    public AboutFrame(javax.swing.ImageIcon icon,
                      java.lang.String initText)

  As above but the given URL is displayed and remembered as the original page.

### AboutFrame

    public AboutFrame(java.lang.String initText)

  As above but the given file name is converted to a URL using the text area of the resources. An example call is `AboutFrame("ide-help.html") <\code>

  `

### AboutFrame

    public AboutFrame(java.lang.String title,
                      java.lang.String initText)

  As above but the given file name is converted to a URL using the text area of the resources. An example call is `AboutFrame("ide-help.html") <\code>

  `

### AboutFrame

    public AboutFrame(java.lang.String[] initText)

  As above but the given file name is converted to a URL using the text area of the resources. An example call is `AboutFrame("ide-help.html") <\code>

  `

### AboutFrame

    public AboutFrame(java.lang.String title,
                      java.lang.String[] initText)

  As above but the given file name is converted to a URL using the text area of the resources. An example call is `AboutFrame("ide-help.html") <\code>

  `

Method Detail

### displayIconText

    public void displayIconText(javax.swing.ImageIcon icon,
                                java.lang.String starter)

  Displays the given URL in the text area.

### displayText

    public void displayText(java.lang.String starter)

  Sets the given text into the first line, then appends IX and Java versions in seperate lines.

### displayText

    public void displayText(java.lang.String[] starter)

  As above, but puts each array element into its own line.

### setText

    public void setText(java.lang.String text)

  Use this to set the whole text to the given one.

### setText

    public void setText(java.lang.String[] textList)

  As above, but puts each array element into its own line.

### setText

    public void setText(java.lang.String starter,
                        java.lang.String[] textList)

  As above, but puts starter at the start, then each array element into its own line.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD